Project Chrono: chrono::ros::ChROSDriverInputsHandler Class Reference

Public Member Functions | Protected Member Functions | List of all members
chrono::ros::ChROSDriverInputsHandler Class Reference
ROS module » ROS Handlers » ROS Vehicle Handlers

## Description

This handler is responsible for interfacing a ChDriver to ROS.

Will instantiate a subscriber to chrono_ros_interfaces::msg::DriverInputs

`#include <ChROSDriverInputsHandler.h>`

Inheritance diagram for chrono::ros::ChROSDriverInputsHandler:
[legend]
Collaboration diagram for chrono::ros::ChROSDriverInputsHandler:
[legend]

## Public Member Functions
| ChROSDriverInputsHandler (std::shared_ptr< chrono::vehicle::ChDriver > driver, const std::string &topic_name)
| Convenience constructor.
| ChROSDriverInputsHandler (double update_rate, std::shared_ptr< chrono::vehicle::ChDriver > driver, const std::string &topic_name)
| Constructor for the ChROSDriverInputsHandler class.
virtual bool | Initialize (std::shared_ptr< ChROSInterface > interface) override
| Initializes the handler.
Public Member Functions inherited from chrono::ros::ChROSHandler
virtual | ~ChROSHandler ()=default
| Destructor for the ChROSHandler.
virtual void | Update (double time, double step) final
| Updates the internal clock and checks if a tick should occur.
const double | GetUpdateRate () const
| Get the period which this handler operates at.
const uint64_t | GetTickCount () const
| Get the number of times Tick() has been called.

## Protected Member Functions
virtual void | Tick (double time) override
| Updates the driver with stored inputs data from Callback.
Protected Member Functions inherited from chrono::ros::ChROSHandler
| ChROSHandler (double update_rate)
| Constructor for the ChROSHandler.

The documentation for this class was generated from the following files:

- D:/W/B/src/chrono-9.0.1/src/chrono_ros/handlers/vehicle/ChROSDriverInputsHandler.h
- D:/W/B/src/chrono-9.0.1/src/chrono_ros/handlers/vehicle/ChROSDriverInputsHandler.cpp